Package org.apache.tools.ant.taskdefs.optional.native2ascii

# Class KaffeNative2Ascii

java.lang.Object
org.apache.tools.ant.taskdefs.optional.native2ascii.DefaultNative2Ascii
org.apache.tools.ant.taskdefs.optional.native2ascii.KaffeNative2Ascii

All Implemented Interfaces:
  `Native2AsciiAdapter`

public final class KaffeNative2Ascii extends DefaultNative2Ascii
Adapter to kaffe.tools.native2ascii.Native2Ascii.

Since:
  Ant 1.6.3

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `IMPLEMENTATION_NAME`
  Identifies this adapter.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KaffeNative2Ascii()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `run(Commandline cmd, ProjectComponent log)`
  Executes the command.
  `protected void`
  `setup(Commandline cmd, Native2Ascii args)`
  Sets up the initial command line.

  ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.native2ascii.DefaultNative2Ascii

  `addFiles, convert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### IMPLEMENTATION_NAME

    public static final String IMPLEMENTATION_NAME
    Identifies this adapter.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### KaffeNative2Ascii

    public KaffeNative2Ascii()

- ## Method Details

  - ### setup

    protected void setup(Commandline cmd, Native2Ascii args) throws BuildException
    Sets up the initial command line.

    only the -encoding argument and nested arg elements get handled here.

    Overrides:
      `setup` in class `DefaultNative2Ascii`
    Parameters:
      `cmd` - Command line to add to
      `args` - provides the user-setting and access to Ant's logging system.
    Throws:
      `BuildException` - if there was a problem.

  - ### run

    protected boolean run(Commandline cmd, ProjectComponent log) throws BuildException
    Executes the command.
    Specified by:
      `run` in class `DefaultNative2Ascii`
    Parameters:
      `cmd` - Command line to execute
      `log` - provides access to Ant's logging system.
    Returns:
      whether execution was successful
    Throws:
      `BuildException` - if there was a problem.